import jsdom from "jsdom";
import rp from "request-promise-native";

export default bot => {
  bot._trigger.set("irpg", new bot.trigger({
    call: /^(\.|\/)irpg/i,
    set: "uwe",
    f: e => {
      const user = e.args[0] || e.user.nick;
      rp("https://irpg.zneb.org/players.php").then(top => {
        let prank = 0
          , i = 1;
        const dom = new jsdom.JSDOM(top);
        let playerlist = dom.window.document.querySelectorAll("ol > li");
        let player = null;
        for(let p of playerlist) {
          if (p.innerHTML.includes(`player=${user}">`)) {
            prank = i;
            player = p;
            break;
          }
          i++;
        }
        if(player !== null) {
          const [, plevel, pclass, puntil] = player.innerHTML.match(/.*, the level (.*?) (.*?)\. Next level in (.*?)\./);
          e.reply(`([i]${prank} / ${playerlist.length}[/i]) [b]${user}[/b], the [b]${pclass}[/b]: level: ${plevel}, next level in ${puntil}.`);
        }
        else
          e.reply(`player [b]${user}[/b] was not found`);
      });
    }
  }));
};